Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.concurrent
Interface JMXEnabledThreadPoolExecutorMBean

All Superinterfaces:
  IExecutorMBean

All Known Subinterfaces:
  JMXConfigurableThreadPoolExecutorMBean

All Known Implementing Classes:
  JMXConfigurableThreadPoolExecutor, JMXEnabledThreadPoolExecutor

    public interface JMXEnabledThreadPoolExecutorMBean

extends IExecutorMBean

Method Summary
`int` | `getCurrentlyBlockedTasks()` Get the number of tasks currently blocked, waiting to be accepted by the executor (because all threads are busy and the backing queue is full).
`int` | `getTotalBlockedTasks()` Get the number of tasks that had blocked before being accepted (or rejected).

Methods inherited from interface org.apache.cassandra.concurrent.IExecutorMBean
`getActiveCount, getCompletedTasks, getPendingTasks`

Method Detail

### getTotalBlockedTasks

    int getTotalBlockedTasks()

  Get the number of tasks that had blocked before being accepted (or rejected).

### getCurrentlyBlockedTasks

    int getCurrentlyBlockedTasks()

  Get the number of tasks currently blocked, waiting to be accepted by the executor (because all threads are busy and the backing queue is full).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation